com.r3corda.protocols / TwoPartyDealProtocol / Fixer

# Fixer

`class Fixer : Secondary<StateRef>`

One side of the fixing protocol for an interest rate swap, but could easily be generalised further.

Do not infer too much from the name of the class. This is just to indicate that it is the "side" of the protocol that is run by the party with the fixed leg of swap deal, which is the basis for deciding who does what in the protocol.

### Constructors

<init> | `Fixer(initiation: FixingSessionInitiation, progressTracker: ProgressTracker = Secondary.tracker())` One side of the fixing protocol for an interest rate swap, but could easily be generalised further.

### Properties

initiation | `val initiation: FixingSessionInitiation`
otherSide | `val otherSide: Party`
progressTracker | `val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this protocol is invoked as a sub-protocol of another, then the tracker will be made a child of the current step in the parent. If its null, this protocol doesnt track progress.
sessionID | `val sessionID: Long`

### Inherited Properties

topic | `open val topic: String` The topic to use when communicating with other parties. If more than one topic is required then use sub-protocols. Note that this is temporary until protocol sessions are properly implemented.

### Functions

assembleSharedTX | `fun assembleSharedTX(handshake: Handshake<StateRef>): <ERROR CLASS><TransactionBuilder, List<PublicKey>>`
validateHandshake | `fun validateHandshake(handshake: Handshake<StateRef>): Handshake<StateRef>`

### Inherited Functions

call | `open fun call(): SignedTransaction` This is where you fill out your business logic.